SDL_GetAudioDeviceChannelMap(3)

NAME
SDL_GetAudioDeviceChannelMap - Get the current channel map of an audio device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int * SDL_GetAudioDeviceChannelMap(SDL_AudioDeviceID devid, int *count);

DESCRIPTION
Channel maps are optional; most things do not need them, instead passing data in the [order that SDL expects](CategoryAudio#channel-layouts).

Audio devices usually have no remapping applied. This is represented by returning NULL, and does not signify an error.

FUNCTION PARAMETERS

devid
    the instance ID of the device to query.

count
    On output, set to number of channels in the map. Can be NULL.

RETURN VALUE
Returns an array of the current channel mapping, with as many elements as the current output spec's channels, or NULL if default. This should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetAudioStreamInputChannelMap(3)